Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.unittest
Class FeedTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.sun.syndication.unittest.FeedTest

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  FeedOpsTest, SyndFeedTest, TestSyndFeedAtom10b, TestSyndFeedAtom10Bray, TestSyndFeedAtom10prefix, TestSyndFeedAtom10Ruby

    public abstract class FeedTest

extends junit.framework.TestCase

Author:
  pat, tucu

Constructor Summary
`protected` | `FeedTest(String feedFileName)`

Method Summary
`protected org.jdom.Document` | `getCachedJDomDoc()`
`protected SyndFeed` | `getCachedSyndFeed()`
`protected SyndFeed` | `getCachedSyndFeed(boolean preserveWireFeed)`
`protected WireFeed` | `getCachedWireFeed()`
`protected String` | `getFeedFileName()`
`protected Reader` | `getFeedReader()`
`protected org.jdom.Document` | `getJDomDoc()`
`protected SyndFeed` | `getSyndFeed(boolean preserveWireFeed)`
`protected WireFeed` | `getWireFeed()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeedTest

    protected FeedTest(String feedFileName)

Method Detail

### getFeedFileName

    protected String getFeedFileName()

### getFeedReader

    protected Reader getFeedReader()
                            throws Exception

  Throws:
    `Exception`

### getJDomDoc

    protected org.jdom.Document getJDomDoc()
                                    throws Exception

  Throws:
    `Exception`

### getWireFeed

    protected WireFeed getWireFeed()
                            throws Exception

  Throws:
    `Exception`

### getSyndFeed

    protected SyndFeed getSyndFeed(boolean preserveWireFeed)
                            throws Exception

  Throws:
    `Exception`

### getCachedJDomDoc

    protected org.jdom.Document getCachedJDomDoc()
                                          throws Exception

  Throws:
    `Exception`

### getCachedWireFeed

    protected WireFeed getCachedWireFeed()
                                  throws Exception

  Throws:
    `Exception`

### getCachedSyndFeed

    protected SyndFeed getCachedSyndFeed(boolean preserveWireFeed)
                                  throws Exception

  Throws:
    `Exception`

### getCachedSyndFeed

    protected SyndFeed getCachedSyndFeed()
                                  throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.